Get the covenant file (signed agreement)
GET
/v1/tenant/{tenantKey}/agreement/{agreementKey}/covenant
const url = 'https://sender.api.kivra.com/v1/tenant/example/agreement/example/covenant';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sender.api.kivra.com/v1/tenant/example/agreement/example/covenant \ --header 'Authorization: Bearer <token>'Get the covenant file (the signed version of the agreement).
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tenantKey
required
string format: hexadecimal
The unique Key for a Tenant
agreementKey
required
string format: hexadecimal
The unique Key for an Agreement
Responses
Section titled “Responses”The covenant file as a PDF file with base64 encoding
Media typeapplication/json
object
name
The name of the file
string
data
The covenant file as a PDF file with base64 encoding
string format: base64
sha256
The signature to verify the file’s authenticity
string
Example
{ "name": "agreement7456_completed.pdf", "data": "REVBREJFRUY="}